#include <iostream>
#include <clocale>
#include <cstdlib>

int sum_arr(int arr[], int size)
{
	int sum = 0;
	for (int i = 0; i < size; i++)
		sum += arr[i];
	return sum;
}
void swap_arr(int arr1[], int arr2[], int size)
{
	for (int i = 0; i < size; i++)
		std::swap(arr1[i], arr2[i]);
}
int main()
{
	int N, M;
	std::cin >> N >> M;

	int** arr = new int* [N];
	for (int i = 0; i < N; i++)
		arr[i] = new int[M];

	for (int i = 0; i < N; i++)
	{
		for (int j = 0; j < M; j++)
			arr[i][j] = std::rand() % 100;
	}

	//
	for (int i = 0; i < N; i++)
	{
		for (int j = 0; j < M; j++)
		{
			std::cout << arr[i][j] << " ";
		}
		std::cout << std::endl;
	}
	std::cout << std::endl << std::endl;
	for (int i = 0; i < N-1; i++)
	{
		if (sum_arr(arr[i], M) > sum_arr(arr[i + 1], M))
			swap_arr(arr[i], arr[i + 1], M);
	}

	//
	for (int i = 0; i < N; i++)
	{
		for (int j = 0; j < M; j++)
		{
			std::cout << arr[i][j] << " ";
		}
		std::cout << std::endl;
	}

	for (int i = 0; i < N; i++)
		delete[] arr[i];
	delete[] arr;

	std::system("PAUSE >> void"); 
	return 0;
}